## wala 1.3.9

=== com.ibm.wala.cast/source/c/Makefile ===

include Makefile.configuration

#
# in theory, these definitions should not need to be changed
#

ifeq (x$(PLATFORM),x)
  PLATFORM=$(shell uname -s)
endif

C_GENERATED=$(DOMO_AST_BIN)libcast/

JAVAH_GENERATED=$(C_GENERATED)
ifeq ($(PLATFORM),windows)
  CC=i686-mingw32-g++
else
  CC=g++
endif

vpath %.cpp	jni

JAVA_INCLUDES = -I$(JAVA_SDK)include

CAPA_INCLUDE_DIR = include/
CAPA_INCLUDES = -I$(CAPA_INCLUDE_DIR) -I$(C_GENERATED)

CAPA_JNI_BRIDGE_HEADER = $(C_GENERATED)com_ibm_wala_cast_ir_translator_NativeBridge.h
CAPA_JNI_XLATOR_HEADER = $(C_GENERATED)com_ibm_wala_cast_ir_translator_NativeTranslatorToCAst.h
CAPA_JNI_HEADERS = $(CAPA_JNI_BRIDGE_HEADER) $(CAPA_JNI_XLATOR_HEADER)

INCLUDES = $(CAPA_INCLUDES) $(JAVA_INCLUDES)

CAPA_SOURCES = $(notdir $(wildcard jni/*.cpp))
CAPA_OBJECTS = $(patsubst %.cpp,$(C_GENERATED)%.o,$(CAPA_SOURCES))

ifeq ($(PLATFORM),windows)
	ALL_FLAGS = -gstabs+ $(TRACE) $(INCLUDES) -DBUILD_CAST_DLL
	DLLEXT = dll
else
ifeq ($(PLATFORM),Darwin)
	ALL_FLAGS = -gstabs+ $(TRACE) $(INCLUDES) -fPIC
	DLLEXT = jnilib
else
	ALL_FLAGS = -pthread -gstabs+ $(TRACE) $(INCLUDES) -fPIC
	DLLEXT = so
endif
endif

ifeq ($(PLATFORM),windows)
	CC_LDFLAGS = -shared -Wl,--add-stdcall-alias -Wl,-export-all-symbols
	LIBPREFIX = 
else
ifeq ($(PLATFORM),Darwin)
	CC_LDFLAGS = -dynamiclib -Wl,-flat_namespace
	LIBPREFIX = lib
else
	CC_LDFLAGS = -pthread -shared
	LIBPREFIX = lib
endif
endif

#
# rules
#

default:	$(DOMO_AST_BIN)$(LIBPREFIX)cast.$(DLLEXT)

bindir:
	mkdir -p $(C_GENERATED)

$(CAPA_JNI_BRIDGE_HEADER):	$(DOMO_AST_BIN)com/ibm/wala/cast/ir/translator/NativeBridge.class bindir
	$(JAVA_SDK)bin/javah -classpath "$(DOMO_AST_BIN)$(JAVAH_CLASS_PATH)" -d "$(JAVAH_GENERATED)" com.ibm.wala.cast.ir.translator.NativeBridge

$(CAPA_JNI_XLATOR_HEADER):	$(DOMO_AST_BIN)com/ibm/wala/cast/ir/translator/NativeTranslatorToCAst.class bindir
	$(JAVA_SDK)bin/javah -classpath "$(DOMO_AST_BIN)$(JAVAH_CLASS_PATH)" -d "$(JAVAH_GENERATED)" com.ibm.wala.cast.ir.translator.NativeTranslatorToCAst

$(CAPA_OBJECTS): $(C_GENERATED)%.o:	%.cpp $(CAPA_JNI_HEADERS) bindir
	echo $(CAPA_OBJECTS)
	$(CC) $(ALL_FLAGS) -o $@ -c $<

$(DOMO_AST_BIN)$(LIBPREFIX)cast.$(DLLEXT):	$(CAPA_OBJECTS)
	$(CC) $(CC_LDFLAGS) $^ -o $@

clean:
	rm -rf $(C_GENERATED) hs_err_pid*

=== debian/changelog ===
wala (1.3.9-2) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.

  [ Kai-Chung Yan (殷啟聰) ]
  * d/control: Depends on default-jdk-doc instead of default-java-doc
    (Closes: #856521)

 -- tony mancill <tmancill@debian.org>  Thu, 04 May 2017 20:38:04 -0700

wala (1.3.9-1) unstable; urgency=medium

  * Initial release (Closes: #855270)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 16 Feb 2017 17:07:38 +0800

=== debian/control ===
Source: wala
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
Build-Depends: debhelper (>= 10~),
               default-jdk-doc,
               default-jdk-headless (>= 2:1.8) | default-jdk (>= 2:1.8),
               gradle-debian-helper,
               javahelper,
               libcommons-cli-java,
               libcommons-io-java,
               libguava-java,
               liblogback-java,
               libslf4j-java,
               libsmali-1-java,
               maven-repo-helper
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/wala.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/wala.git
Homepage: http://wala.sourceforge.net

Package: libwala-java
Architecture: all
Depends: libcommons-cli-java,
         libcommons-io-java,
         libguava-java,
         liblogback-java,
         libslf4j-java,
         libsmali-1-java,
         ${misc:Depends}
Description: Static analysis on Java bytecode and related languages
 The T. J. Watson Libraries for Analysis (WALA) provide static analysis
 capabilities for Java bytecode and related languages and for JavaScript. WALA
 features include:
 .
   * Java type system and class hierarchy analysis
   * Source language framework supporting Java and JavaScript
   * Interprocedural dataflow analysis (RHS solver)
   * Context-sensitive tabulation-based slicer
   * Pointer analysis and call graph construction
   * SSA-based register-transfer language IR
   * General framework for iterative dataflow
   * General analysis utilities and data structures
   * A bytecode instrumentation library (Shrike) and a dynamic load-time
     instrumentation library for Java (Dila)
 .
 Currently this package provides the following libraries:
 .
   * wala-cast
   * wala-core
   * wala-dalvik
   * wala-shrike
   * wala-util

Package: libwala-java-doc
Section: doc
Architecture: all
Depends: default-jdk-doc, ${misc:Depends}
Description: Static analysis on Java bytecode and related languages - Docs
 The T. J. Watson Libraries for Analysis (WALA) provide static analysis
 capabilities for Java bytecode and related languages and for JavaScript. WALA
 features include:
 .
   * Java type system and class hierarchy analysis
   * Source language framework supporting Java and JavaScript
   * Interprocedural dataflow analysis (RHS solver)
   * Context-sensitive tabulation-based slicer
   * Pointer analysis and call graph construction
   * SSA-based register-transfer language IR
   * General framework for iterative dataflow
   * General analysis utilities and data structures
   * A bytecode instrumentation library (Shrike) and a dynamic load-time
     instrumentation library for Java (Dila) 
 .
 This package provides the documentations.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=gradle --with javahelper,maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- --project-prop DEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) \
	                 --settings-file debian/settings.gradle \
	                 -Dfile.encoding=UTF-8

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r debian/.gradle

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz

## wala 1.5.1

=== debian/changelog ===
wala (1.5.1-1~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1819448.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2019 15:45:04 +0100

wala (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * update Vcs tags to point to salsa.debian.org

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 30 Jan 2019 23:29:03 +0100

wala (1.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 21 Jan 2019 16:38:54 +0100

wala (1.3.9-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.3.0 remove get-orig-source
  * update Vcs URLs to salsa.debian.org

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 21 Jan 2019 14:28:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=gradle --with javahelper,maven_repo_helper

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- javadoc || true  # generates but fails with bizarre error

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r debian/.gradle

override_jh_installjavadoc:
	jh_installjavadoc -plibwala-java-doc com.ibm.wala.util/build/docs/javadoc usr/share/doc/libwala-java/api

=== debian/watch ===
version=4
https://github.com/wala/WALA/tags /wala/WALA/archive/R@ANY_VERSION@.tar.gz

## wala 1.5.2

=== com.ibm.wala.cast.test/harness-src/c/Makefile ===

include Makefile.configuration

include ../../../com.ibm.wala.cast/source/c/Makefile.configuration

include ../../../com.ibm.wala.cast/source/c/Makefile.definitions

TEST_JNI_BRIDGE_HEADER = $(C_GENERATED)com_ibm_wala_cast_test_TestNativeTranslator.h

CAST_OBJS = $(wildcard $(C_GENERATED)/*.o)

#
# rules
#

default:	$(CAST_TEST_BIN)$(LIBPREFIX)xlator_test.$(DLLEXT)

$(TEST_JNI_BRIDGE_HEADER):	$(CAST_TEST_BIN)com/ibm/wala/cast/test/TestNativeTranslator.class
	$(JAVA_HOME)/bin/javah -classpath "$(CAST_TEST_BIN)$(JAVAH_CLASS_PATH)" -d "$(JAVAH_GENERATED)" com.ibm.wala.cast.test.TestNativeTranslator

$(C_GENERATED)/smoke.o:	$(TEST_JNI_BRIDGE_HEADER) smoke.cpp
	$(CC) $(ALL_FLAGS) -o $@ -c smoke.cpp

$(C_GENERATED)/smoke_main.o:	$(TEST_JNI_BRIDGE_HEADER) smoke_main.cpp
	$(CC) $(ALL_FLAGS) -o $@ -c smoke_main.cpp

$(CAST_TEST_BIN)$(LIBPREFIX)xlator_test.$(DLLEXT):	$(C_GENERATED)/smoke.o
	$(CC) $(CC_LDFLAGS) -Wl,-rpath -Wl,$(DOMO_AST_BIN) $(CAST_OBJS) -o $@

main:	$(C_GENERATED)/smoke_main

$(C_GENERATED)/smoke_main:	$(TEST_JNI_BRIDGE_HEADER) $(DOMO_AST_BIN)/$(LIBPREFIX)cast/launch.o $(C_GENERATED)/smoke_main.o
	$(CC) $(ALL_FLAGS) $(DOMO_AST_BIN)/$(LIBPREFIX)cast/launch.o $(C_GENERATED)/smoke_main.o $(CC_LD_PATHS) -o $@

=== com.ibm.wala.cast/source/c/Makefile ===

include Makefile.configuration

include Makefile.definitions

#
# rules
#

default:	$(DOMO_AST_BIN)$(LIBPREFIX)cast.$(DLLEXT) $(DOMO_AST_BIN)$(LIBPREFIX)cast.a

bindir:
	mkdir -p $(C_GENERATED)

$(CAPA_JNI_BRIDGE_HEADER):	$(DOMO_AST_BIN)com/ibm/wala/cast/ir/translator/NativeBridge.class bindir
	$(JAVA_HOME)/bin/javah -classpath "$(DOMO_AST_BIN)$(JAVAH_CLASS_PATH)" -d "$(JAVAH_GENERATED)" com.ibm.wala.cast.ir.translator.NativeBridge

$(CAPA_JNI_XLATOR_HEADER):	$(DOMO_AST_BIN)com/ibm/wala/cast/ir/translator/NativeTranslatorToCAst.class bindir
	$(JAVA_HOME)/bin/javah -classpath "$(DOMO_AST_BIN)$(JAVAH_CLASS_PATH)" -d "$(JAVAH_GENERATED)" com.ibm.wala.cast.ir.translator.NativeTranslatorToCAst

$(CAPA_OBJECTS): $(C_GENERATED)%.o:	%.cpp $(CAPA_JNI_HEADERS) bindir
	$(CC) $(ALL_FLAGS) -o $@ -c $<

$(DOMO_AST_BIN)$(LIBPREFIX)cast.$(DLLEXT):	$(CAPA_OBJECTS)
	$(CC) $(CC_LDFLAGS) $^ -o $@

$(DOMO_AST_BIN)$(LIBPREFIX)cast.a:	$(CAPA_OBJECTS)
	ar -r $@ $^

clean:
	rm -rf $(C_GENERATED) hs_err_pid*

=== debian/changelog ===
wala (1.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream Version
  * Bumped Standard version (no changes needed)
  * patches modified according to new upstream version (Closes: #955695)
  * patch description done

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Thu, 14 May 2020 20:58:53 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                default-jdk-doc,
                default-jdk-headless (>= 2:1.8) | default-jdk (>= 2:1.8),
                gradle-debian-helper,
@@ -13,11 +13,11 @@
                libguava-java,
                liblogback-java,
                libslf4j-java,
-               libsmali-1-java,
+               libsmali-java (>= 2.2.6),
                maven-repo-helper
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/wala.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/wala.git
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/java-team/wala.git
+Vcs-Browser: https://salsa.debian.org/java-team/wala
 Homepage: http://wala.sourceforge.net
 
 Package: libwala-java
@@ -27,7 +27,7 @@
          libguava-java,
          liblogback-java,
          libslf4j-java,
-         libsmali-1-java,
+         libsmali-java (>= 2.2.6),
          ${misc:Depends}
 Description: Static analysis on Java bytecode and related languages
  The T. J. Watson Libraries for Analysis (WALA) provide static analysis
@@ -71,6 +71,6 @@
    * General framework for iterative dataflow
    * General analysis utilities and data structures
    * A bytecode instrumentation library (Shrike) and a dynamic load-time
-     instrumentation library for Java (Dila) 
+     instrumentation library for Java (Dila)
  .
  This package provides the documentations.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	dh_auto_build -- javadoc || true  # generates but fails with bizarre error
+	dh_auto_build -- javadoc || echo "ignoring, generates but fails with bizarre error"
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -15,3 +15,4 @@
 
 override_jh_installjavadoc:
 	jh_installjavadoc -plibwala-java-doc com.ibm.wala.util/build/docs/javadoc usr/share/doc/libwala-java/api
+	rm -rf debian/libwala-java-doc/usr/share/doc/libwala-java/api/jquery

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/WALA-$1\.tar\.gz/ \
  https://github.com/wala/WALA/tags .*/v?(\d\S+)\.tar\.gz
